com.sun.jna.platform.win32

## Class WinGDI.DIBSECTION

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinGDI.DIBSECTION

Enclosing interface:
  WinGDI

    @Structure.FieldOrder(value={"dsBm","dsBmih","dsBitfields","dshSection","dsOffset"})
    public static class WinGDI.DIBSECTION
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int[]` `dsBitfields`
`WinGDI.BITMAP` `dsBm`
`WinGDI.BITMAPINFOHEADER` `dsBmih`
`WinNT.HANDLE` `dshSection`
`int` `dsOffset`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`DIBSECTION()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dsBm

    public WinGDI.BITMAP dsBm

#### dsBmih

    public WinGDI.BITMAPINFOHEADER dsBmih

#### dsBitfields

    public int[] dsBitfields

#### dshSection

    public WinNT.HANDLE dshSection

#### dsOffset

    public int dsOffset

### Constructor Detail

#### DIBSECTION

    public DIBSECTION()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.